// MFC_GDI_PLUS.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "MFC_GDI_PLUS.h"
#include "MainFrm.h"

#include "GdiPlusDoc.h"
#include "GdiPlusView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CGdiPlusApp

BEGIN_MESSAGE_MAP(CGdiPlusApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	// Standard file based document commands
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()


// CGdiPlusApp construction

CGdiPlusApp::CGdiPlusApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CGdiPlusApp object

CGdiPlusApp theApp;

// CGdiPlusApp initialization

BOOL CGdiPlusApp::InitInstance()
{
	CWinApp::InitInstance();
	// Initialize GDI+.
	GdiplusStartup(&gdiplusToken, &gdiplusStartupInput, NULL);


	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CGdiPlusDoc),
		RUNTIME_CLASS(CMainFrame),       // main SDI frame window
		RUNTIME_CLASS(CGdiPlusView));
	AddDocTemplate(pDocTemplate);

	OnFileNew();

	m_pMainWnd->ShowWindow(SW_SHOWMAXIMIZED);
	m_pMainWnd->UpdateWindow();
	// call DragAcceptFiles only if there's a suffix
	//  In an SDI app, this should occur after ProcessShellCommand
	return TRUE;
}


int CGdiPlusApp::ExitInstance()
{
	GdiplusShutdown(gdiplusToken);
	return CWinApp::ExitInstance();
}


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

// App command to run the dialog
void CGdiPlusApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}


// CGdiPlusApp message handlers

